<?php 
include_once 'main.php';
switch ($_REQUEST['op']) 
{
	case 'issue_prjid':
		$prjid=$_REQUEST['prjid'];
		$query= "AND prjid=$prjid AND iarchive=0";
		$issuelist = $issue->GetList($query);
		if ($issuelist!=array()) {
			foreach ($issuelist as $issuename) 
			{
				echo '
				<input type="checkbox" name="iid['.$issuename['iid'].']" id="iid'.$issuename['iid'].'" value="'.$issuename['iid'].'"><label for="iid'.$issuename['iid'].'">&nbsp;'.$issuename['ititle'].' ('.$issuename['icode'].')</label>
				'.($admininfo['0']['allow_edit_issue']==1?'<a href="issues.php?op=add&iid='.$issuename['iid'].'">&nbsp;<span class="green glyphicon glyphicon-edit"></span></a>':'').'
				<br>
				';
			}
		}
		else
		{
			echo "مسئله فعالی برای این پروژه موجود نیست!";
		}
		break;

	case 'issue_done':
		$tskid=$_POST['tskid'];
		$tskdone=1;
		$tskdone_date= date("Y-m-d");
		if($task->UpdateDone($tskdone , $tskdone_date , $tskid)==1)
				
			Success("ماموریت انجام شد");
				
		else
			Failure("متاسفانه مشکلی در ثبت تغییرات وجود آمده است");


		break;


	case 'issues_modal':
		$tskid=$_POST['tskid'];
		$iid_array=$task->GetTaskIssues($tskid);

		$issuelist=$issue->GetFullList();

		echo '<ul style="list-style-type:none;">';
		foreach ($issuelist as $issuename) 
		{
			if (in_array($issuename['iid'], $iid_array)) 
			{
				echo '
				<li class="done" id="iid'.$issuename['iid'].'"> '.($issuename['idone']==1?'<i class="fa fa-toggle-on" aria-hidden="true"></i>':'<i class="fa fa-toggle-off" aria-hidden="true"></i>').' <a href="'.($issuename['idone']==1?'done '.($modalhint=1).' ':'').''.($admininfo['0']['allow_edit_issue']==1?'issues.php?op=add&iid='.$issuename['iid'].'':'').'">'.$issuename['ititle'].' ('.$issuename['icode'].')</a>
				'.($admininfo['0']['allow_edit_issue']==1?'<a href="issues.php?op=add&iid='.$issuename['iid'].'">&nbsp;<span class="green glyphicon glyphicon-edit"></span></a>':'').'
				<br>
				';

			}
		}
		
		echo '</ul>';
		break;

	case 'tasks_modal':
		$iid=$_POST['iid'];
		$tsk_array=$issue->GetIssueTasks($iid);
		$tasklist=$task->GetList();

		echo '<ul style="list-style-type:none;">';
		foreach ($tasklist as $taskname) 
		{
			if (in_array($taskname['tskid'], $tsk_array)) 
			{
				echo '
				<li class="done" id="tsk'.$taskname['tskid'].'">  '.($taskname['tskdone']==1?'<i class="fa fa-toggle-on" aria-hidden="true"></i>':'<i class="fa fa-toggle-off" aria-hidden="true"></i>').'  <a href="'.($admininfo['0']['allow_edit_task']==1?'tasks.php?op=add&tskid='.$taskname['tskid'].'':'').'">'.$taskname['tsktitle'].' ('.$taskname['tskcode'].')</a>
				'.($admininfo['0']['allow_edit_task']==1?'<a href="tasks.php?op=add&tskid='.$taskname['tskid'].'">&nbsp;<span class="green glyphicon glyphicon-edit"></span></a>':'').'
				<a href="tasks.php?op=delete&tskid='.$taskname['tskid'].'" class="tskdel" onclick="return Sure()"><span class="red glyphicon glyphicon-minus-sign"></span></a>
				<div id="showing"></div>
				<br>
				';
			}

		}
		if ($tsk_array===array())
			echo '<li>هنوز ماموریتی روی این مسئله تعریف نشده است!</li>';
		
		echo '</ul>';


		break;

	case 'tasks_del':
		$iid=$_POST['iid'];
		echo "$iid";
		echo "salam";


		break;

	case 'Del_file_1':
		$file=$_POST['file'];
		$ifile1="";
		$iid=$_POST['iid'];
		$dir="./upload/issues_file/";

		unlink($dir.$file);
		$issue->Delifile1($ifile1,$iid);

		break;

	case 'Del_file_2':
		$file=$_POST['file'];
		$ifile2="";
		$iid=$_POST['iid'];
		$dir="./upload/issues_file/";

		unlink($dir.$file);
		$issue->Delifile2($ifile2,$iid);

		break;

	case 'Del_file_3':
		$file=$_POST['file'];
		$ifile3="";
		$iid=$_POST['iid'];
		$dir="./upload/issues_file/";

		unlink($dir.$file);
		$issue->Delifile3($ifile3,$iid);

		break;
	
	default:
		echo "صفحه مورد نظر یافت نشد";
		break;
}
// <script>
// function  Sure()
// {
//   if(confirm("آیا از حذف این رکورد مطمئن هستید؟"))
//     return true;
//   else
//     return false;
// }

// </script>
?>